Axis2/C: navigator

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# navigator
[AXIOM]

## Typedefs
typedef struct axiom_navigator | axiom_navigator_t
## Functions
AXIS2_EXTERN axiom_navigator_t * | axiom_navigator_create (const axutil_env_t *env, axiom_node_t *node)
AXIS2_EXTERN void | axiom_navigator_free (axiom_navigator_t *om_navigator, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_navigator_is_navigable (axiom_navigator_t *om_navigator, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_navigator_is_completed (axiom_navigator_t *om_navigator, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_navigator_next (axiom_navigator_t *om_navigator, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_navigator_visited (axiom_navigator_t *om_navigator, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_navigator_t* axiom_navigator_create | ( | const axutil_env_t * | env,
|  | axiom_node_t * | node |
| ) |  |  |

Creates an axiom_navigator

Parameters:

  | env | environment MUST not be NULL
  | node | a pointer to axiom_node_t struct which is to be navigated

Returns:
  a pointer to axiom_navigator_t struct or returns NULL on error

AXIS2_EXTERN void axiom_navigator_free | ( | axiom_navigator_t * | om_navigator,
|  | const axutil_env_t * | env |
| ) |  |  |

free function , free the axiom_navigator struct

Parameters:

  | om_navigator | axiom_navigator_struct
  | env | environment MUST not be NULL

Returns:
  AXIS2_SUCCESS

AXIS2_EXTERN axis2_bool_t axiom_navigator_is_completed | ( | axiom_navigator_t * | om_navigator,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns the build status of this node if the node is completly build returns AXIS2_TRUE otherwise AXIS2_FALSE

Parameters:

  | om_navigator | axiom_navigator struct
  | env | environment MUST not be NULL

Returns:
  AXIS2_TRUE if this node is completly built otherwise return AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axiom_navigator_is_navigable | ( | axiom_navigator_t * | om_navigator,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns the navigable status

Parameters:

  | om_navigator | axiom_navigator_struct
  | env | environment MUST not be NULL

Returns:
  AXIS2_TRUE if the om is navigable otherwise returns AXIS2_FALSE

AXIS2_EXTERN axiom_node_t* axiom_navigator_next | ( | axiom_navigator_t * | om_navigator,
|  | const axutil_env_t * | env |
| ) |  |  |

gets the next node

Parameters:

  | om_navigator | om_navigaot struct
  | env | environment MUST not be NULL

Returns:
  axiom_node_t pointer in the sequence of preorder travasal however the an element node is treated slightly differently Once the om_element type om node is passed it returns the same om_node pointer in the next , returns NULL on error or if there is no more nodes

AXIS2_EXTERN axis2_bool_t axiom_navigator_visited | ( | axiom_navigator_t * | om_navigator,
|  | const axutil_env_t * | env |
| ) |  |  |

method visited

Parameters:

  | om_navigator | om_navigaot struct
  | env | environment MUST not be NULL

Returns:
  AXIS2_TRUE if this node is alrady visited otherwise AXIS2_FALSE